package com.jiayue.insu.incloud.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jiayue.insu.incloud.entity.Quartz;
import com.jiayue.insu.incloud.entity.Record;
import com.jiayue.insu.incloud.mapper.QuartzMapper;
import com.jiayue.insu.incloud.mapper.RecordMapper;
import com.jiayue.insu.incloud.service.QuartzService;
import com.jiayue.insu.incloud.service.RecordService;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

@Service
public class RecordServiceImpl extends ServiceImpl<RecordMapper, Record> implements RecordService {


    @Override
    public Record findTimeAndTypeAndStateAndStation(LocalDateTime time, String type, String state,String station) {
        LambdaQueryWrapper<Record> lambdaQueryWrapper = new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(Record::getTime,time);
        lambdaQueryWrapper.eq(Record::getType,type);
        lambdaQueryWrapper.eq(Record::getState,state);
        lambdaQueryWrapper.eq(Record::getStationCode,station);

        return this.getOne(lambdaQueryWrapper);
    }
}
